/* Displays analog reponse reported by an Arduino Serial output  
   based on serial terminal feedback delimited by ":" character.
   
   Prepared by Hans Huth 
   1/6/2020
*/

import processing.serial.*;
Serial port;
String data = "";
PFont font;
int reading;

void setup()
{
  size(1000,600);
//Change "COM9" to the name of the serial port on your computer
  port = new Serial(this, "COM9", 9600);
  port.bufferUntil(':'); 
//Change the font name to reflect the name of the font you created
  font = loadFont("AgencyFB-Bold-200.vlw");
  textFont(font, 400);
}

void draw()
{
  background(0,0,0);
  text(data, 90, 400);

}
 
void serialEvent (Serial port)
{
  data = port.readString();
  data = data.substring(0, data.length() - 1);
  reading = int(data);
}
